SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'EST_NF_ENT' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'CEP_EMITENTE'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'EST_NF_ENT' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE dbo.EST_NF_ENT ADD CEP_EMITENTE varchar(50) NULL

		END
	SET NOCOUNT OFF
	PRINT 'CAMPO CEP_EMITENTE NA TABELA EST_NF_ENT INSERIDO COM SUCESSO '
END